



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>gitlab-ci的注意点</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">gitlab-ci的注意点</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-20 10:00:09 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>在使用gitlab搭配gitlab-runner进行ci配置时，发现两个问题，略记如下备忘：</p>
<p>1. 若发现ci job控制台显示无法下载该项目，但当前提交代码人和ci用户都确实具备该项目的访问权限时，需要检查的是，该访问权限是否是由该账号为系统管理员而具备的权限。也就是需要确保，提交代码的账号，必须是该项目的正常权限所有者（比如private项目则比如加入member并具备report以上权限）。</p>
<p>2. 若指定的docker image报错信息形如 &lt; lt; 字符如何如何，则应该检查该docker镜像是否已经配置了 ENTRYPOINT ， ENTRYPOINT 的参数可能与gitlab-runner 调用 docker 时的方式质检存在冲突。一般改为使用CMD方式的简单启动模式的image即可。</p>
<p>附：</p>
<p>nodejs模块的ci配置</p>
<div>
<pre class="prettyprint linenums">image: node:latest

stages:<br />
  - build

job_build:<br />
  stage: build<br />
  script:<br />
    - npm publish --registry=http://****/<br />
  only:<br />
    - develop<br />
  tags:<br />
    - nodejs</pre>
</div>
<p>nodejs的gitlab-runner配置：</p>
<div>
<pre class="prettyprint linenums">concurrent = 4<br />
check_interval = 0

[[runners]]<br />
  name = "nodejsrunner"<br />
  url = "https://***/"<br />
  token = "0f2ac********429"<br />
  executor = "docker"<br />
  [runners.docker]<br />
    tls_verify = false<br />
    image = "node:latest"<br />
    privileged = false<br />
    disable_cache = false<br />
    volumes = ["/cache", "/root:/root"]<br />
    shm_size = 0<br />
  [runners.cache]</pre>
</div>
<p>maven模块的ci配置：</p>
<div>
<pre class="prettyprint linenums">image: maven:3-jdk-8

stages:<br />
  - build

job_build:<br />
  stage: build<br />
  script:<br />
    - mvn clean deploy -Dmaven.test.skip=true -Dmaven.wagon.http.ssl.insecure=true -Dmaven.wagon.http.ssl.allowall=true<br />
  only:<br />
    - develop<br />
  tags:<br />
    - develop</pre>
</div>
<p>maven模块的gitlab-runner配置：</p>
<div>
<pre class="prettyprint linenums">concurrent = 4<br />
check_interval = 0

[[runners]]<br />
  name = "develop"<br />
  url = "https://*****/"<br />
  token = "vdj-R*******J"<br />
  tls-ca-file = "/etc/gitlab-runner/****.crt"<br />
  tls-cert-file = "/etc/gitlab-runner/****.crt"<br />
  executor = "docker"<br />
  [runners.docker]<br />
    tls_verify = false<br />
    image = "openjdk:8"<br />
    privileged = false<br />
    disable_cache = false<br />
    volumes = ["/cache", "/root/.m2:/root/.m2"]<br />
    pull_policy = "if-not-present"<br />
    shm_size = 0<br />
  [runners.cache]

[[runners]]<br />
  name = "gitlabrunner"<br />
  url = "https://******/"<br />
  token = "dd5*********178"<br />
  executor = "docker"<br />
  [runners.docker]<br />
    tls_verify = false<br />
    image = "openjdk:8"<br />
    privileged = false<br />
    disable_cache = false<br />
    volumes = ["/cache", "/root/.m2:/root/.m2"]<br />
    pull_policy = "if-not-present"<br />
    shm_size = 0<br />
  [runners.cache]</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/oqv34oz8.html">C&num;仿google日历asp&period;net简单三层版本</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq4oyy58.html">Linux 11g rac PSU</a>
		</li>
						<li><a href="https://www.batexi.com/a/96oj1z39.html">【leetcode❤python】26&period; Remove Duplicates from Sorted Array</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxn2w1j8.html">NOI2002 银河英雄传说</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyd544gq.html">boost&colon;&colon;bind</a>
		</li>
						<li><a href="https://www.batexi.com/a/8mnkrd0q.html">&lbrack;现代程序设计&rsqb;homework-03</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zny729.html">a标签拨打电话、发短信、发邮件</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1g2k79.html">&lbrack;经典&rsqb; 在未排序数组中返回topK大的数</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkwg6e8.html">lua序列化table表到文件中</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1w7m2q.html">五、Nginx多Server反向代理配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdpokevq.html">每天一个Linux命令 1</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zypjj9.html">Servlet到底是单例还是多例你了解吗？</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zxo159.html">English 动词篇</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1rpmjz8.html">A1133&period; Splitting A Linked List</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7oj4kj8.html">Python 扩展插件</a>
		</li>
						<li><a href="https://www.batexi.com/a/90r03ln9.html">Centos下Yum安装PHP 5&period;5、5&period;6、7&period;0</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1r7ky28.html">Java 数据库篇</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjodj79.html">Linux下的Mysql安装 &amp;amp&semi; 配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ppkp4k9.html">String源码详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/8emo0xz9.html">C&num;&colon;String&period;Format数字格式化输出 &lbrace;0&colon;N2&rcub; &lbrace;0&colon;D2&rcub; &lbrace;0&colon;C2&rcub;&period;&period;&period;</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/8o1lzl5q.html">Python - 使用Pyinstaller将Python代码生成可执行文件</a>
			</li>
						<li><a href="https://www.batexi.com/a/90rkzz39.html">Spring Boot读取配置的 5 种方式</a>
			</li>
						<li><a href="https://www.batexi.com/a/960z1449.html">setting-mirrorO以及下载jar包流程简介</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e4rd2j9.html">jsp和servlet的关系</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e4rpjm9.html">&lbrack;P4318&rsqb; 完全平方数</a>
			</li>
						<li><a href="https://www.batexi.com/a/9r5wzjrq.html">Ubuntu&sol;CentOS 系统上安装与配置Nginx</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnvl1v28.html">Android&lowbar;support&lowbar;v4和V7</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdwxejj9.html">Cordova安装、设置代理和引入插件</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e4x1oe9.html">等宽高的ImageButton</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyyoydgq.html">leetcode &mdash; regular-expression-matching</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
